
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "freewifi/version"

Gem::Specification.new do |spec|
  spec.name          = 'freewifi'
  spec.version       = Freewifi_1::VERSION
  spec.authors       = ['Dzmitry Buynovskiy']
  spec.email         = ['imperituro.ard@gmail.com']

  spec.summary       = %q{gem for Public WiFi}
  spec.description   = %q{description for my gem}
  spec.homepage      = 'https://rubygems.org/gems/freewifi'
  spec.license       = 'MIT'

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  if spec.respond_to?(:metadata)
    spec.metadata['allowed_push_host'] = 'https://rubygems.org/'
  else
    raise 'RubyGems 2.0 or newer is required to protect against ' \
      'public gem pushes.'
  end

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '2.1.4'
  spec.add_development_dependency 'rake', '13.0.1'
  spec.add_development_dependency 'minitest', '~> 5.0'
  spec.add_development_dependency 'net-ssh', '4.0.1'
  spec.add_development_dependency 'json', '2.3.0'
  spec.add_development_dependency 'ipaddr', '1.2.2'
  spec.add_development_dependency 'date', '3.0.0'
  spec.add_development_dependency 'mysql2', '0.5.3'
  spec.add_development_dependency 'mongo', '2.11.4'
  spec.add_development_dependency 'translit', '0.1.5'
  spec.add_development_dependency 'savon', '2.12.0'
  spec.add_development_dependency 'net-telnet', '0.2.0'
  spec.add_development_dependency 'mtik', '4.0.3'
end
